Name: xvkbd
Version: 2.8
Release: alt1
Summary: Virtual (on-screen) keyboard for X
Summary(uk_UA.CP1251): ³ ()   X
Source0: http://homepage3.nifty.com/tsato/%name/%name-%version.tar.bz2
Source1: %{name}_32x32.xpm.gz
Source2: %{name}_48x48.xpm.gz
Source3: %{name}_16x16.xpm.gz
URL: http://homepage3.nifty.com/tsato/%name/
License: GPL
Group: System/X11

# Automatically added by buildreq on Wed Sep 20 2006
BuildRequires: imake libXaw3d-devel libXaw-devel
BuildRequires: libXtst-devel xorg-cf-files

%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(softwares) by clicking on a keyboard displayed on the screen. This may
be used for systems without a hardware keyboard such as kiosk terminals
or handheld devices.
This program also has facility to send characters specified as the
command line option to another client, which can help when one wants to
fully utilize some modern mice with multiple buttons.


%prep
%setup -q


%build
xmkmf
%make_build CFLAGS="%optflags"
										

%install
%make_install DESTDIR=%buildroot install install.man
rm -rf %buildroot/%_datadir/X11

#menu
%ifdef _desktopdir
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%name
Exec=%name
Icon=%name
Categories=Utility;System;
Type=Application
X-MultipleArgs=true
Terminal=false
StartupNotify=true
Comment=On-screen keyboard for X
Comment[uk]=³ ()   X
__MENU__
%else
install -d -m 0755 %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): command="%name"\
icon="%name.png"\
needs="x11"\
title="Virtual Keyboard"\
longtitle="On-screen keyboard for X"\
section="%group"
__MENU__
%endif

#icons
install -d -m 0755 %buildroot{%_liconsdir,%_miconsdir,%_niconsdir}
gzip -dc -- %SOURCE1 > %buildroot%_niconsdir/%name.xpm
gzip -dc -- %SOURCE2 > %buildroot%_liconsdir/%name.xpm
gzip -dc -- %SOURCE3 > %buildroot%_miconsdir/%name.xpm


%post
%update_menus
		

%postun
%clean_menus


%files
%doc README
%_bindir/*
%config %_sysconfdir/X11/app-defaults/*
%_man1dir/*
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif
%_liconsdir/%name.*
%_niconsdir/%name.*
%_miconsdir/%name.*


%changelog
* Wed Sep 20 2006 Led <led@altlinux.ru> 2.8-alt1
- 2.8

* Thu Jun 01 2006 Led <led@altlinux.ru> 2.7a-alt1
- initial build for Sisyphus

* Tue Jan 17 2006 Franck Villaume <fvill@mandriva.org> 2.7a-3mdk
- fix url
- mkrel

* Thu May 19 2005 Franck Villaume <fvill@mandriva.org> 2.7a-2mdk
- buildrequires

* Mon May 16 2005 Franck Villaume <fvill@mandriva.org> 2.7a-1mdk
- 2.7a
- buildrequires

* Wed May 04 2005 Abel Cheung <deaddog@mandriva.org> 2.6-1mdk
- New version

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 2.5a-2mdk
- new menu

* Tue Jun 29 2004 Austin Acton <austin@mandrake.org> 2.5a-1mdk
- initial package
